<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\KursUebersichtDerMitarbeiter\KursUebersicht;

class KursUebersichtResetFilterController extends KursUebersichtController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->suchParameter = $this->getFilterFromPost();
    $requestObj->aendereFilter = true;

    return $requestObj;
  }

  protected function getFilterFromPost()
  {
    
    
    $tool = 1;
    $suchApi = new \KurssuchAPIwSearch();

    return $suchApi->getSearchParamsFromReq('tool' . $tool,'searchkurs');
  }
}